<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/28/2003 *
 * ===============                              Last change: 04/03/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-email_archiv .php                           *
 * -------------------------------------------------------------------- *
 * Short description : See send emails details of ordered mails         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle  Mails ansehen die versand wurden           *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 * -------------------------------------------------------------------- *
 * Mod-Copyright (c) 2004 by Robert Niedziela                           *
 * www.megacomputing.de                                                 *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

//             0     1        2      3        4          5           6          7      8         9        10
$SQL = "SELECT id, sender, subject, text, receivers, payment_id, data_type, timestamp, url, target_send, cat_id
 FROM "._MYSQL_PREFIX."_pool
 WHERE data_type='SEND' OR data_type='DELETED'
 ORDER BY timestamp DESC";

// Check for maximum pages
$result_normal = SQL_QUERY($SQL, __FILE__, __LINE__);

// Set offset an current page to default values
if (empty($_GET['page']))   $_GET['page']   = "1";
if (empty($_GET['offset'])) $_GET['offset'] = $CONFIG['mails_page'];

// Add limitation to SQL string
$SQL .= " LIMIT ".($_GET['offset'] * $_GET['page'] - $_GET['offset']).", ".$_GET['offset'];

// Run SQL query for normal mails
$result = SQL_QUERY($SQL, __FILE__, __LINE__);

// Calculate pages
$PAGES = round(SQL_NUMROWS($result_normal) / $CONFIG['mails_page'] + 0.5);
SQL_FREERESULT($result_normal);

if (SQL_NUMROWS($result) > 0)
{
	// Mail orders are in pool so we can display them

	// Add navigation table rows
	if ($PAGES > 1)
	{
		define('__TOP_EMAIL_NAV'   , ADD_EMAIL_NAV($PAGES, $CONFIG['mails_page'], true , "3", true));
		define('__BOTTOM_EMAIL_NAV', ADD_EMAIL_NAV($PAGES, $CONFIG['mails_page'], false, "3", true));
	}
	 else
	{
		define('__TOP_EMAIL_NAV'   , "");
		define('__BOTTOM_EMAIL_NAV', "");
	}

	$SW = 2; $OUT = "";
	while ($pool = SQL_FETCHROW($result))
	{
		// Check sent mails and clicks
		$result_mails = SQL_QUERY_ESC("SELECT max_rec, clicks FROM "._MYSQL_PREFIX."_user_stats WHERE pool_id=%d LIMIT 1",
		 array(bigintval($pool[0])), __FILE__, __LINE__);
		list($sent, $clicks) = SQL_FETCHROW($result_mails);
		SQL_FREERESULT($result_mails);

		// Unconfirmed mails
		$unconfirmed = $sent - $clicks;
		if ($unconfirmed > 0)
		{
			// Add link to list_unconfirmed what-file
			$unconfirmed = "<STRONG><A href=\"".URL."/modules.php?module=admin&amp;what=list_unconfirmed&amp;mid=".$pool[0]."\">".$unconfirmed."</A></STRONG>";
		}

		// Prepare data for the row template
		$content = array(
			'sw'          => $SW,
			'u_link'      => ADMIN_USER_PROFILE_LINK($pool[1]),
			'subj'        => COMPILE_CODE($pool[2]),
			'text'        => COMPILE_CODE($pool[3]),
			'pay'         => GET_PAYMENT($pool[5]),
			'cat'         => GET_CATEGORY($pool[10]),
			'sent'        => $sent,
			'ruids'       => str_replace(";", ", ", $pool[4]),
			'unconfirmed' => $unconfirmed,
			'type'        => GET_POOL_TYPE($pool[6]),
			'tsend'       => $pool[9],
			'url'         => FRAMETESTER($pool[8]),
			'stamp'       => MAKE_DATETIME($pool[7], "0"),
			'mid'         => $pool[0],
		);

		// Load row template and switch colors
		$OUT .= LOAD_TEMPLATE("admin_email_archiv_row", true, $content);
		$SW = 3 - $SW;
	}

	// Free memory
	SQL_FREERESULT($result);
	define('__EMAIL_ROWS', $OUT);

	// Load main template
	LOAD_TEMPLATE("admin_email_archiv");
}
 else
{
	// No mail orders fond
	OUTPUT_HTML("<SPAN class=\"admin_failed\">".ADMIN_NO_MAILS_IN_POOL."</SPAN>");
}
//
?>
