<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/22/2005 *
 * ================                             Last change: 10/22/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_beg.php                                *
 * -------------------------------------------------------------------- *
 * Short description : List members in begging-rallye                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Mitglieder in Bettel-Rallye auflisten            *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!is_admin()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

if ($CONFIG['beg_rallye'] == 'Y')
{
	// Shall I withdraw now?
	if (isset($_POST['withdraw']))
	{
		// Okay, let's prepare...
		$curr = date("m", time()) - 1;
		if (strlen($curr) == 1) $curr = "0".$curr;
		$result = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_config SET beg_month='%s' WHERE config='0' LIMIT 1",
		 array($curr), __FILE__, __LINE__);
		LOAD_TEMPLATE("admin_settings_saved", false, ADMIN_BEG_WITHDRAW_PREPARED);
		OUTPUT_HTML("<br />");
	}

	// Autopurge installed?
	$LAST = "%s"; $ONLINE = "";
	if (EXT_IS_ACTIVE("autopurge"))
	{
		// Use last online timestamp to keep inactive members away from here
		$LAST   = " AND last_online >= %s";
		$ONLINE = bigintval(time() - $CONFIG['ap_in_since']);
	}

	// Check if at least one is in the active rallye
	$result = SQL_QUERY_ESC("SELECT userid, email, sex, surname, family, beg_points, last_online
FROM "._MYSQL_PREFIX."_user_data
WHERE status='CONFIRMED' AND beg_points > 0".$LAST."
ORDER BY beg_points DESC, last_online DESC, userid",
	 array($ONLINE), __FILE__, __LINE__);

	if (SQL_NUMROWS($result) > 0)
	{
		// List users
		$OUT = "";$SW = 2; $cnt = 1; $total = 0;
		while(list($uid, $email, $sex, $sname, $fname, $turbo, $last) = SQL_FETCHROW($result))
		{
			// Generate array fore the dynamic template
			$WIN1 = ""; $WIN2 = "";
			if ($cnt <= $CONFIG['beg_ranks'])
			{
				// Maybe he can win his active beg?
				$WIN1 = "<STRONG>";
				$WIN2 = "</STRONG>";
			}
			$content = array(
				'uid'   => $uid,
				'email' => CREATE_EMAIL_LINK($email, "user_data"),
				'salut' => TRANSLATE_SEX($sex),
				'sname' => $sname,
				'fname' => $fname,
				'turbo' => TRANSLATE_COMMA($turbo),
				'last'  => MAKE_DATETIME($last, "2"),
				'sw'    => $SW,
				'win1'  => $WIN1,
				'win2'  => $WIN2,
				'cnt'   => $cnt,
			);

			// Load template and add it
			$OUT .= LOAD_TEMPLATE("admin_list_beg_rows", true, $content);
			$SW = 3 - $SW; $cnt++; $total += $turbo;
		}
		define('__BEG_ROWS', $OUT);
		define('__TOTAL', TRANSLATE_COMMA($total));

		// Check if we need to display form or not with manuel withdraw
		if ($CONFIG['beg_month'] == date("m", time()))
		{
			// Load form
			define('__BEG_WITHDRAW_FORM', LOAD_TEMPLATE("admin_list_beg_form", true));
		}
		 else
		{
			// Display message "no manual withdraw possible"
			define('__BEG_WITHDRAW_FORM', "<FONT class=\"admin_failed\">".ADMIN_BEG_ALREADY_WITHDRAW."</FONT>");
		}

		// Prepare constant for timemark
		define('__AUTOPURGE_TIMEOUT', MAKE_DATETIME(time() - $CONFIG['ap_in_since'], "2"));

		// Load final template
		LOAD_TEMPLATE("admin_list_beg");
	}
	 else
	{
		// No one has joined the begging rallye...
		LOAD_TEMPLATE("admin_settings_saved", false, ADMIN_BEG_NO_RALLYE);
	}
}
 else
{
	// Rallye deactivated
	LOAD_TEMPLATE("admin_settings_saved", false, ADMIN_BEG_RALLYE_DEACTIVATED);
}

//
?>
