<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 01/19/2006 *
 * ================                             Last change: 01/19/2006 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_norefs.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Show all members w/o a referral                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle Mitgliederaccounts ohne Werber auflisten    *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} elseif ((!EXT_IS_ACTIVE("user")) || (GET_EXT_VERSION("user") == "")) {
	// Not active!
	ADD_FATAL(sprintf(EXTENSION_PROBLEM_NOT_INSTALLED, "user"));
	return;
}

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

OPEN_TABLE("100%", "admin_content admin_content_align", "");

$MORE = ", userid"; $colspan = "4"; //                 27
if (EXT_IS_ACTIVE("nickname")) { $MORE = ", nickname"; }

if (empty($_GET['letter'])) { $_GET['letter'] = _ALL2;    }
if (empty($_GET['sortby'])) { $_GET['sortby'] = "userid"; }
if (empty($_GET['page']))   { $_GET['page']   = "1";      }

// Set base URL
$BASE = "<A href=\"".URL."/modules.php?module=admin";

$WHERE = " WHERE refid='0'";
if (($_GET['letter'] != _ALL2) && ($_GET['letter'] != _OTHERS) && (!empty($_GET['letter'])))
{
	// List only persons w
	$WHERE = " WHERE refid='0' AND family LIKE '".$_GET['letter']."%'";
}
if ($_GET['sortby'] == "family_name") $_GET['sortby'] = "family";
$SQL = "SELECT userid, sex, surname, family, email, REMOTE_ADDR, refid, status".$MORE." FROM "._MYSQL_PREFIX."_user_data".$WHERE." ORDER BY ".$_GET['sortby'];
$result_master = SQL_QUERY($SQL, __FILE__, __LINE__);

// Calculate page count (0.5 fixes a bug with page count)
$PAGES = round(SQL_NUMROWS($result_master) / $CONFIG['user_limit'] + 0.5);

if (empty($_GET['page']))   $_GET['page']   = "1";
if (empty($_GET['offset'])) $_GET['offset'] = $CONFIG['user_limit'];

// Add limitation to SQL string and run him again
$SQL .= " LIMIT ".($_GET['offset'] * $_GET['page'] - $_GET['offset']).", ".$_GET['offset'];
$result = SQL_QUERY($SQL, __FILE__, __LINE__);

$result_user = SQL_QUERY("SELECT emails_sent FROM "._MYSQL_PREFIX."_user_data WHERE status='CONFIRMED'", __FILE__, __LINE__);
$user_count = SQL_NUMROWS($result_user);
SQL_FREERESULT($result_user);

if (SQL_NUMROWS($result_master) > 0)
{
	// Free memory
	SQL_FREERESULT($result_master);

	// We have some (new?) registrations!
	define('__COLSPAN1'  , $colspan);
	define('__COLSPAN2'  , ($colspan + 2));
	define('__USER_CNT'  , $user_count);
	define('__ALPHA_SORT', alpha($_GET['sortby'], $colspan, true));
	define('__SORT_LINKS', SortLinks($_GET['letter'], $_GET['sortby'], $colspan, true));
	if ($PAGES > 1)
	{
		define('__PAGE_NAV', ADD_PAGENAV($PAGES, $CONFIG['user_limit'], true, $colspan, true));
	}
	 else
	{
		// No page navigation is required
		define('__PAGE_NAV', "");
	}

	// Column with nickname when nickname extension is present
	if (EXT_IS_ACTIVE("nickname"))
	{
		// Nickname extension found
		define('__NICKNAME_TH', "  <TD class=\"admin_title bottom2\" align=\"center\">".NICKNAME."</TD>");
	}
	 else
	{
		// Not found
		define('__NICKNAME_TH', "");
	}

	$SW = 2; $OUT = "";
	while (list($uid, $sex, $sname, $fname, $email, $IP, $ref, $status, $nick) = SQL_FETCHROW($result))
	{
		if ($ref > 0) $ref = ADMIN_USER_PROFILE_LINK($ref);
		$LINKS = TRANSLATE_COMMA(GET_TOTAL_DATA($uid, "user_links", "id", "userid", true));
		if ($LINKS > 0) $LINKS = $BASE."&amp;what=list_links&amp;u_id=".$uid."\">".$LINKS."</A>";

		// Add nickname
		if ((empty($nick)) || ($uid == $nick)) $nick = "---";

		// Transfer data to array
		$content = array(
			'sw'     => $SW,
			'uid'    => ADMIN_USER_PROFILE_LINK($uid),
			'sex'    => TRANSLATE_SEX($sex),
			'sname'  => $sname,
			'fname'  => $fname,
			'email'  => "<A href=\"".CREATE_EMAIL_LINK($email, "user_data")."\">".$email."</A>",
			'addr'   => $IP,
			'ref'    => $ref,
			'status' => TRANSLATE_STATUS($status),
			'links'  => $LINKS,
			'nick'   => $nick
		);

		// Load row template and switch colors
		$OUT .= LOAD_TEMPLATE("admin_list_user_row", true, $content);
		$SW = 3 - $SW;
	}

	// Free memory
	SQL_FREERESULT($result);

	define('__USER_ROWS', $OUT);

	// Load main template
	LOAD_TEMPLATE("admin_list_user");

	// Free some memory
	SQL_FREERESULT($result_master);
}
 else
{
	// No one as registered so far! :-(
	LOAD_TEMPLATE("admin_settings_saved", false, ADMIN_ACCOUNT_NOREFS_404);
}

CLOSE_TABLE();
//
?>
