<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/22/2005 *
 * ===============                              Last change: 10/22/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : monthly_beg.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Monthly begging rallye                           *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Monatliche Bettelrallye                          *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (ereg(basename(__FILE__), $_SERVER['PHP_SELF']))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
 elseif ((!EXT_IS_ACTIVE("beg")) && (!IS_ADMIN()))
{
	ADD_FATAL(EXTENSION_PROBLEM_EXT_INACTIVE, "beg");
	return;
}

// Do not execute when script is in CSS mode or no daily reset
if (($CSS == 1) || (!defined('__DAILY_RESET'))) return;

// Get current month (2 digits)
$curr = date("m", time());

// Check if month is done
if (($curr != $CONFIG['beg_month']) && ($CONFIG['beg_month'] > 0) && ($CONFIG['beg_ranks'] > 0) && ($CSS != 1))
{
	// Extension "autopurge" is inactive or purging of inactive accounts is deactivated
	$WHERE1 = "";
	$WHERE2 = 0;
	$WHERE3 = bigintval($CONFIG['beg_ranks']);

	// Let's check if there are some points left we can "pay"...
	if (EXT_IS_ACTIVE("autopurge"))
	{
		// Use last online stamp only when autopurge for inactive members is activated
		if (($CONFIG['ap_in_since'] > 0) && ($CONFIG['beg_active'] == 'Y'))
		{
			// Okay, include last online timestamp
			$WHERE1 = "AND last_online >=";
			$WHERE2 = bigintval(time() - $CONFIG['ap_in_since']);
			$WHERE3 = bigintval($CONFIG['beg_ranks']);
		}
	}

	// SQL string to check for accounts
	$result_main = SQL_QUERY_ESC("SELECT userid, email, beg_points
FROM "._MYSQL_PREFIX."_user_data WHERE status='CONFIRMED' ".$WHERE1." %s AND beg_points > 0 ORDER BY beg_points DESC, userid LIMIT %s",
 array($WHERE2, $WHERE3), __FILE__, __LINE__);

	if (SQL_NUMROWS($result_main) > 0)
	{
		// Load our winners...
		$UIDs = "";
		while(list($uid, $email, $points) = SQL_FETCHROW($result_main))
		{
			// Add points to user's account directly
			$result_data = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_user_points
SET points=points+%s WHERE ref_depth=0 AND userid=%d LIMIT 1",
 array($points, bigintval($uid)), __FILE__, __LINE__);

			// Update mediadata as well
			if (GET_EXT_VERSION("mediadata") >= "0.0.4")
			{
				// Update database
				MEDIA_UPDATE_ENTRY(array("total_points"), "add", $points);
			}

			// Load email template and email it away
			$msg = LOAD_EMAIL_TEMPLATE("member_beg", $points, bigintval($uid));
			SEND_EMAIL($email, BEG_MONTHLY_RALLYE, $msg);
		}

		// Remove first commata
		$UIDs = substr($UIDs, 1);

		// Get current month
		$curr = date("m", time());
		if (strlen($curr) == 1) $curr = "0".$curr;
		if ($curr == "00") $curr = "12";

		// Reset accounts
		$result = SQL_QUERY("UPDATE "._MYSQL_PREFIX."_user_data SET beg_points=0.00000 WHERE beg_points > 0",
		 __FILE__, __LINE__);
	}

	// Free memory
	SQL_FREERESULT($result_main);

	// Finally update database and config array
	$CONFIG['beg_month'] = $curr;
	$result_update = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_config SET beg_month='%s' WHERE config='0' LIMIT 1",
	 array($curr), __FILE__, __LINE__);

	// Destroy cache
}
//
?>
